import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, v = Object.getOwnPropertyDescriptor, c = (p, e, i, o) => {
  for (var t = o > 1 ? void 0 : o ? v(e, i) : e, n = p.length - 1, s; n >= 0; n--)
    (s = p[n]) && (t = (o ? s(e, i, t) : s(t)) || t);
  return o && t && h(e, i, t), t;
};
let r = class extends m {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--locationPin", this.class = "c-pieIcon c-pieIcon--locationPin", this.name = "IconLocationPin";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--locationPin"><path d="M11.938 3.135a5.574 5.574 0 0 0-7.875 7.875L8 15l3.938-3.938a5.575 5.575 0 0 0 0-7.927Zm-.928 7L8 13.1l-3.01-3.01a4.27 4.27 0 0 1 0-6.029 4.27 4.27 0 0 1 6.02 0 4.27 4.27 0 0 1 0 6.03v.043ZM8 4.719A2.406 2.406 0 1 0 8 9.53 2.406 2.406 0 0 0 8 4.72Zm0 3.5A1.094 1.094 0 1 1 8 6.03 1.094 1.094 0 0 1 8 8.22Z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  f("icon-location-pin")
], r);
export {
  r as IconLocationPin
};
